curl --request PUT \
--url https://api.wirespeed.co/v1/team \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"domain": "<string>",
"ownerFirstName": "<string>",
"ownerLastName": "<string>",
"ownerEmail": "<string>",
"platformName": "<string>",
"faviconUrl": "<string>",
"demo": false,
"refreshable": true,
"autoSubscribeServiceProviderUsers": true,
"addOns": [
"data"
],
"skuStartDate": "<string>",
"skuEndDate": "<string>",
"isTrial": false
}
'import requests
url = "https://api.wirespeed.co/v1/team"
payload = {
"name": "<string>",
"domain": "<string>",
"ownerFirstName": "<string>",
"ownerLastName": "<string>",
"ownerEmail": "<string>",
"platformName": "<string>",
"faviconUrl": "<string>",
"demo": False,
"refreshable": True,
"autoSubscribeServiceProviderUsers": True,
"addOns": ["data"],
"skuStartDate": "<string>",
"skuEndDate": "<string>",
"isTrial": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
domain: '<string>',
ownerFirstName: '<string>',
ownerLastName: '<string>',
ownerEmail: '<string>',
platformName: '<string>',
faviconUrl: '<string>',
demo: false,
refreshable: true,
autoSubscribeServiceProviderUsers: true,
addOns: ['data'],
skuStartDate: '<string>',
skuEndDate: '<string>',
isTrial: false
})
};
fetch('https://api.wirespeed.co/v1/team', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"intercomId": "<string>",
"createdAt": "<string>",
"displayName": "<string>",
"email": "<string>",
"locked": true,
"isServiceAccount": true,
"activeTeamId": "<string>",
"parentTeamId": "<string>",
"completedOnboarding": true,
"teamId": "<string>",
"autoSubscribeToNotifications": true,
"isExternal": true,
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>"
}
]
}{
"message": "<string>",
"statusCode": 123
}Create a new team
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Name of the team (1-512 characters)
Domain URL for the team
First name of the team owner (1-512 characters)
Last name of the team owner (1-512 characters)
Email address of the team owner
Platform name of the team
Favicon URL for the team
Whether this is a demo team
Whether this demo team should be automatically deleted and recreated weekly
Whether to auto-subscribe the service provider users to the new team
Subscription SKU tier for the team
identity, adr Add-on SKUs for the team
data Contract/subscription start date (ISO string)
Contract/subscription end date (ISO string)
Whether this team is a proof-of-value trial
Address of the organization
Show child attributes
Show child attributes
Response
Array of team member user objects
Show child attributes
Show child attributes

